diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-deactivate-bearer.h ns-3.38/src/lte/test/lte-test-deactivate-bearer.h
--- ns-3.37/src/lte/test/lte-test-deactivate-bearer.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-deactivate-bearer.h	2023-03-16 20:54:23.780869000 -0700
@@ -10,7 +10,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test case that for testing the deactivation of the bearer
  * functionality. The test consist in deactivating the bearer and checking
@@ -62,7 +61,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief The test suite class for the LenaDeactivateBearerTestCase.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-downlink-power-control.cc ns-3.38/src/lte/test/lte-test-downlink-power-control.cc
--- ns-3.37/src/lte/test/lte-test-downlink-power-control.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-downlink-power-control.cc	2023-03-16 20:54:23.780869000 -0700
@@ -386,6 +386,10 @@
     return rbTxpower;
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteDownlinkPowerControlTestSuite lteDownlinkPowerControlTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-downlink-power-control.h ns-3.38/src/lte/test/lte-test-downlink-power-control.h
--- ns-3.37/src/lte/test/lte-test-downlink-power-control.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-downlink-power-control.h	2023-03-16 20:54:23.780869000 -0700
@@ -31,7 +31,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for the LteDownlinkPowerControlSpectrumValueTestCase.
  *
@@ -52,7 +51,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test SINR calculation in the downlink when power control is used.
  * Test if the difference in power levels are corresponding to the estamated values.
@@ -88,7 +86,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test SINR calculation in the downlink when the power control is used.
  * Test the power control by comparing the downlink data and ctrl power
@@ -117,7 +114,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test if RRC connection reconfiguration messages are properly
  * generated upon the change in the downlink power.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-downlink-sinr.cc ns-3.38/src/lte/test/lte-test-downlink-sinr.cc
--- ns-3.37/src/lte/test/lte-test-downlink-sinr.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-downlink-sinr.cc	2023-03-16 20:54:23.780869000 -0700
@@ -103,6 +103,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteDownlinkSinrTestSuite lteDownlinkSinrTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-downlink-sinr.h ns-3.38/src/lte/test/lte-test-downlink-sinr.h
--- ns-3.37/src/lte/test/lte-test-downlink-sinr.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-downlink-sinr.h	2023-03-16 20:54:23.780869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 1.1 SINR calculation in downlink
  */
@@ -41,7 +40,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief  Test compares if the generated SINR is equal to estimated SINR
  *  value. Test generates several calls to LteSpectrumPhy::StartRx corresponding
@@ -73,7 +71,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief
  *  Test compares if the generated SINR is equal to estimated SINR value.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-earfcn.cc ns-3.38/src/lte/test/lte-test-earfcn.cc
--- ns-3.37/src/lte/test/lte-test-earfcn.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-earfcn.cc	2023-03-16 20:54:23.780869000 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test case that is testing if the frequency is properly generated
  * from provided EARFCN frequency.
@@ -75,7 +74,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief
  * Test case that is testing if the downlink frequency is properly
@@ -116,7 +114,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief  Test case that is testing if the uplink frequency is properly
  * converted from provided uplink EARFCN frequency value.
@@ -152,7 +149,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for testing correct conversion of frequencies in
  * the downlink and the uplink, and general EARFCN frequencies.
@@ -163,6 +159,10 @@
     LteEarfcnTestSuite();
 };
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteEarfcnTestSuite g_lteEarfcnTestSuite;
 
 LteEarfcnTestSuite::LteEarfcnTestSuite()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-entities.h ns-3.38/src/lte/test/lte-test-entities.h
--- ns-3.37/src/lte/test/lte-test-entities.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-entities.h	2023-03-16 20:54:23.780869000 -0700
@@ -33,7 +33,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This class implements a testing RRC entity
  */
@@ -166,7 +165,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This class implements a testing PDCP entity
  */
@@ -229,7 +227,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This class implements a testing loopback MAC layer
  */
@@ -311,11 +308,11 @@
     void SetRlcHeaderType(uint8_t rlcHeaderType);
 
     /// RCL Header Type enumeration
-    typedef enum
+    enum RlcHeaderType_t
     {
         UM_RLC_HEADER = 0,
         AM_RLC_HEADER = 1,
-    } RlcHeaderType_t; ///< the RLC header type
+    };
 
     /**
      * Set transmit opportunity mode
@@ -324,12 +321,12 @@
     void SetTxOpportunityMode(uint8_t mode);
 
     /// Transmit opportunity mode enumeration
-    typedef enum
+    enum TxOpportunityMode_t
     {
         MANUAL_MODE = 0,
         AUTOMATIC_MODE = 1,
         RANDOM_MODE = 2
-    } TxOpportunityMode_t; ///< transmit opportunity mode
+    };
 
     /**
      * Set transmit opportunity time
@@ -404,7 +401,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief RRC stub providing a testing S1 SAP user to be used with the EpcEnbApplication
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -194,6 +194,10 @@
         TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestFdBetFfMacSchedulerSuite lenaTestFdBetFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E   # 1 ------------------------------
@@ -519,7 +523,7 @@
      */
     for (int i = 0; i < m_nUser; i++)
     {
-        double thrRatio = (double)1 / m_nUser;
+        double thrRatio = 1.0 / m_nUser;
         double estThrRatio = (double)dlDataRxed.at(i) / totalData;
         NS_LOG_INFO("\tUser " << i << " thrRatio " << thrRatio << " estThrRatio " << estThrRatio);
         NS_TEST_ASSERT_MSG_EQ_TOL(estThrRatio, thrRatio, tolerance, " Unfair Throughput!");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-fdbet-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-fdbet-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-fdbet-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-fdbet-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -77,9 +76,8 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
- * \brief Test case is simillar to the one defined in
+ * \brief Test case is similar to the one defined in
  * LenaFdBetFfMacSchedulerTestCase1, with the difference that UEs are
  * placed in such a way to experience different SINRs from eNodeB.
  */
@@ -119,7 +117,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for FDBetFfMacScheduler test case.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -170,6 +170,10 @@
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel), TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestFdMtFfMacSchedulerSuite lenaTestFdMtFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-fdmt-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-fdmt-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-fdmt-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-fdmt-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -77,7 +76,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for LenaFdMtFfMacSchedulerTestCase test case.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -81,7 +81,7 @@
     //    UDP traffic: payload size = 200 bytes, interval = 1 ms
     //    UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) *
     //    1000 byte/sec -> 232000 byte/rate
-    //  Totol bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
+    //  Total bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
     //  1 user -> 232000 * 1 = 232000 < 2196000 -> throughput = 232000 byte/sec
     //  3 user -> 232000 * 3 = 696000 < 2196000 -> througphut = 232000 byte/sec
     //  6 user -> 232000 * 6 = 139200 < 2196000 -> throughput = 232000 byte/sec
@@ -105,7 +105,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1383000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1383000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 139200 > 1383000 -> throughput = 1383000 / 6 = 230500 byte/sec
@@ -131,7 +131,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1191000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1191000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 1392000 > 1191000 -> throughput = 1191000 / 6 = 198500 byte/sec
@@ -158,7 +158,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 775000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 775000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 139200 > 775000 -> throughput = 775000 / 6 = 129166 byte/sec
@@ -261,6 +261,10 @@
         TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestFdTbfqFfMacSchedulerSuite lenaTestFdTbfqFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E   # 1 ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -83,9 +82,8 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
- * \brief Test case is simillar to the one defined in
+ * \brief Test case is similar to the one defined in
  * LenaFdTbfqFfMacSchedulerTestCase1, with the difference that UEs are
  * placed in such a way to experience different SINRs from eNodeB.
  */
@@ -128,7 +126,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suit for FdTbfqFfMacScheduler test.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-frequency-reuse.cc ns-3.38/src/lte/test/lte-test-frequency-reuse.cc
--- ns-3.37/src/lte/test/lte-test-frequency-reuse.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-frequency-reuse.cc	2023-03-16 20:54:23.780869000 -0700
@@ -433,6 +433,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteFrequencyReuseTestSuite lteFrequencyReuseTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-frequency-reuse.h ns-3.38/src/lte/test/lte-test-frequency-reuse.h
--- ns-3.37/src/lte/test/lte-test-frequency-reuse.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-frequency-reuse.h	2023-03-16 20:54:23.780869000 -0700
@@ -37,7 +37,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test the fractional frequency reuse algorithms.
  */
@@ -49,7 +48,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test frequency reuse algorithm. Test fails if the muted frequencies
  *  are being used.
@@ -77,12 +75,12 @@
 
     /**
      * DL data receive start function
-     * \param spectrumValue the DL data reeive spectrum value
+     * \param spectrumValue the DL data receive spectrum value
      */
     void DlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
     /**
      * UL data receive start function
-     * \param spectrumValue the UL data reeive spectrum value
+     * \param spectrumValue the UL data receive spectrum value
      */
     void UlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
 
@@ -102,7 +100,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test hard frequency reuse algorithm. Test fails if the muted
  *  frequencies are being used.
@@ -123,7 +120,7 @@
      * \param ulSubBandOffset UL subband offset
      * \param ulSubBandwidth UL subbandwidth
      * \param availableDlRb the available DL per RB
-     * \param availableUlRb the avaialbel UL per RB
+     * \param availableUlRb the available UL per RB
      */
     LteHardFrTestCase(std::string name,
                       uint32_t userNum,
@@ -152,9 +149,8 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
- * \brief Test stric frequency reuse algorithm. Test fails if the muted frequencies
+ * \brief Test strict frequency reuse algorithm. Test fails if the muted frequencies
  *  are being used.
  */
 class LteStrictFrTestCase : public LteFrTestCase
@@ -175,7 +171,7 @@
      * \param ulEdgeSubBandOffset UL subband offset
      * \param ulEdgeSubBandwidth UL subbandwidth
      * \param availableDlRb the available DL per RB
-     * \param availableUlRb the avaialbel UL per RB
+     * \param availableUlRb the available UL per RB
      */
     LteStrictFrTestCase(std::string name,
                         uint32_t userNum,
@@ -208,9 +204,8 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
- * \brief Test frequency reuse algorithm by teleporing UEs to different
+ * \brief Test frequency reuse algorithm by teleporting UEs to different
  * parts of area and checking if the frequency is used according to the
  * frequency pattern for different parts of area. Test fails if the muted
  * frequencies for a given part of area are being used by UE.
@@ -229,12 +224,12 @@
 
     /**
      * DL data receive start function
-     * \param spectrumValue the DL receive specturm value
+     * \param spectrumValue the DL receive spectrum value
      */
     void DlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
     /**
      * UL data receive start function
-     * \param spectrumValue the UL receive specturm value
+     * \param spectrumValue the UL receive spectrum value
      */
     void UlDataRxStart(Ptr<const SpectrumValue> spectrumValue);
 
@@ -287,7 +282,7 @@
     uint16_t m_dlBandwidth; ///< the DL bandwidth
     uint16_t m_ulBandwidth; ///< the UL bandwidth
 
-    Time m_teleportTime;             ///< the telport time
+    Time m_teleportTime;             ///< the teleport time
     Ptr<MobilityModel> m_ueMobility; ///< the UE mobility model
 
     double m_expectedDlPower;         ///< the expected DL power
@@ -303,7 +298,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Fr Area Test Case
  */
@@ -325,7 +319,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Soft Fr Area Test Case
  */
@@ -347,7 +340,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Soft Ffr Area Test Case
  */
@@ -369,7 +361,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Enhanced Ffr Area Test Case
  */
@@ -391,7 +382,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Distributed Ffr Area Test Case
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-harq.cc ns-3.38/src/lte/test/lte-test-harq.cc
--- ns-3.37/src/lte/test/lte-test-harq.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-harq.cc	2023-03-16 20:54:23.780869000 -0700
@@ -73,6 +73,10 @@
     AddTestCase(new LenaHarqTestCase(1, 770, 472, 0.06, 209964), TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestHarqSuite lenaTestHarqSuite;
 
 std::string
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-harq.h ns-3.38/src/lte/test/lte-test-harq.h
--- ns-3.37/src/lte/test/lte-test-harq.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-harq.h	2023-03-16 20:54:23.780869000 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -69,7 +68,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for harq test.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-interference.cc ns-3.38/src/lte/test/lte-test-interference.cc
--- ns-3.37/src/lte/test/lte-test-interference.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-interference.cc	2023-03-16 20:54:23.780869000 -0700
@@ -187,6 +187,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteInterferenceTestSuite lteLinkAdaptationWithInterferenceTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-interference-fr.cc ns-3.38/src/lte/test/lte-test-interference-fr.cc
--- ns-3.37/src/lte/test/lte-test-interference-fr.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-interference-fr.cc	2023-03-16 20:54:23.780869000 -0700
@@ -119,6 +119,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteInterferenceFrTestSuite LteInterferenceFrTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-interference-fr.h ns-3.38/src/lte/test/lte-test-interference-fr.h
--- ns-3.37/src/lte/test/lte-test-interference-fr.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-interference-fr.h	2023-03-16 20:54:23.780869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for the interference test when using different
  * frequency reuse algorithms.Check if the interfence values correspond to
@@ -43,7 +42,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte interference test when using hard frequency reuse algorithm. Check
  * if the interfence values correspond to theoretical values.
@@ -56,7 +54,7 @@
      *
      * \param name the reference name
      * \param d1 distance between ENB and UE
-     * \param d2 distnace between ENB and other UE
+     * \param d2 distance between ENB and other UE
      * \param dlSinr the DL SINR
      * \param ulSinr the UL SINR
      */
@@ -77,7 +75,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte interference test when using strict frequency reuse algorithm.
  */
@@ -89,7 +86,7 @@
      *
      * \param name the reference name
      * \param d1 distance between ENB and UE
-     * \param d2 distnace between ENB and other UE
+     * \param d2 distance between ENB and other UE
      * \param commonDlSinr the DL SINR
      * \param commonUlSinr the UL SINR
      * \param edgeDlSinr the DL SINR
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-interference.h ns-3.38/src/lte/test/lte-test-interference.h
--- ns-3.37/src/lte/test/lte-test-interference.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-interference.h	2023-03-16 20:54:23.780869000 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test suite for interference test.
  */
@@ -40,7 +39,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test that SINR calculation and MCS selection works fine in a
  * multi-cell interference scenario.
@@ -53,7 +51,7 @@
      *
      * \param name the reference name
      * \param d1 distance between ENB and UE
-     * \param d2 distnace between ENB and other UE
+     * \param d2 distance between ENB and other UE
      * \param dlSinr the DL SINR
      * \param ulSinr the UL SINR
      * \param dlSe the DL se
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-ipv6-routing.cc ns-3.38/src/lte/test/lte-test-ipv6-routing.cc
--- ns-3.37/src/lte/test/lte-test-ipv6-routing.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-ipv6-routing.cc	2023-03-16 20:54:23.780869000 -0700
@@ -51,7 +51,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Ipv6 routing test case.
  */
@@ -396,4 +395,8 @@
     AddTestCase(new LteIpv6RoutingTestCase, TestCase::QUICK);
 }
 
-static LteIpv6RoutingTestSuite lteipv6testsuite;
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
+static LteIpv6RoutingTestSuite g_lteipv6testsuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-link-adaptation.cc ns-3.38/src/lte/test/lte-test-link-adaptation.cc
--- ns-3.37/src/lte/test/lte-test-link-adaptation.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-link-adaptation.cc	2023-03-16 20:54:23.780869000 -0700
@@ -105,6 +105,10 @@
     }
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteLinkAdaptationTestSuite lteLinkAdaptationTestSuite;
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-link-adaptation.h ns-3.38/src/lte/test/lte-test-link-adaptation.h
--- ns-3.37/src/lte/test/lte-test-link-adaptation.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-link-adaptation.h	2023-03-16 20:54:23.780869000 -0700
@@ -27,7 +27,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 1.3 Link adaptation
  */
@@ -39,7 +38,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test that LTE link adaptation works according to the theoretical model.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-mimo.cc ns-3.38/src/lte/test/lte-test-mimo.cc
--- ns-3.37/src/lte/test/lte-test-mimo.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-mimo.cc	2023-03-16 20:54:23.780869000 -0700
@@ -81,6 +81,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestMimoSuite lenaTestMimoSuite;
 
 std::string
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-mimo.h ns-3.38/src/lte/test/lte-test-mimo.h
--- ns-3.37/src/lte/test/lte-test-mimo.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-mimo.h	2023-03-16 20:54:23.780869000 -0700
@@ -32,7 +32,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a
  * single eNB and single UE. The traffic is configured to be in saturation
@@ -85,7 +84,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena Test Mimo Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-pathloss-model.cc ns-3.38/src/lte/test/lte-test-pathloss-model.cc
--- ns-3.37/src/lte/test/lte-test-pathloss-model.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-pathloss-model.cc	2023-03-16 20:54:23.780869000 -0700
@@ -141,6 +141,10 @@
     }
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LtePathlossModelTestSuite ltePathlossModelTestSuite;
 
 LtePathlossModelSystemTestCase::LtePathlossModelSystemTestCase(std::string name,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-pathloss-model.h ns-3.38/src/lte/test/lte-test-pathloss-model.h
--- ns-3.37/src/lte/test/lte-test-pathloss-model.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-pathloss-model.h	2023-03-16 20:54:23.780869000 -0700
@@ -29,7 +29,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Test 1.1 pathloss calculation
  */
@@ -41,7 +40,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief  Tests that the BuildingPathlossModel works according to
  * the expected theoretical values. Theoretical reference values
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-pf-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-pf-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2023-03-16 20:54:23.784869000 -0700
@@ -211,6 +211,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestPfFfMacSchedulerSuite lenaTestPfFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E   # 1 ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-pf-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-pf-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-pf-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-pf-ff-mac-scheduler.h	2023-03-16 20:54:23.784869000 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -61,7 +60,7 @@
     /**
      * Build name string
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
@@ -75,7 +74,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena PfFf Mac Scheduler Test Case 2
  */
@@ -100,7 +98,7 @@
     /**
      * Builds the test name string based on provided parameter values
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \returns the name string
      */
     static std::string BuildNameString(uint16_t nUser, std::vector<double> dist);
@@ -114,7 +112,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief PfFfMacScheduler test suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-phy-error-model.cc ns-3.38/src/lte/test/lte-test-phy-error-model.cc
--- ns-3.37/src/lte/test/lte-test-phy-error-model.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-phy-error-model.cc	2023-03-16 20:54:23.784869000 -0700
@@ -114,6 +114,10 @@
     }
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestPhyErrorModelSuite lenaTestPhyErrorModelSuite;
 
 std::string
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-phy-error-model.h ns-3.38/src/lte/test/lte-test-phy-error-model.h
--- ns-3.37/src/lte/test/lte-test-phy-error-model.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-phy-error-model.h	2023-03-16 20:54:23.784869000 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -78,7 +77,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena Dl Ctrl Phy Error Model Test Case
  */
@@ -108,7 +106,7 @@
     /**
      * Build name string
      * \param nUser the number of UE nodes
-     * \param dist the distnace between nodes
+     * \param dist the distance between nodes
      * \param rngRun the rng run
      * \returns the name string
      */
@@ -124,7 +122,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lena Test Phy Error Model Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-primary-cell-change.cc ns-3.38/src/lte/test/lte-test-primary-cell-change.cc
--- ns-3.37/src/lte/test/lte-test-primary-cell-change.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-primary-cell-change.cc	2023-03-16 20:54:23.784869000 -0700
@@ -96,6 +96,10 @@
                 TestCase::QUICK);
 } // end of LtePrimaryCellChangeTestSuite::LtePrimaryCellChangeTestSuite ()
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LtePrimaryCellChangeTestSuite g_ltePrimaryCellChangeTestSuite;
 
 /*
